> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.umnai.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.umnai.com/_mcp/server.

# Settings

Settings operations require user credentials. They are not suitable for account credentials.

Settings store user-level preferences and state for the current authenticated user.

Settings are represented as a JSON object. Each top-level key can contain either a string value or a nested settings object. Use nested objects to group related settings.

## Retrieve settings

Retrieve the current user's settings.

### Request

GET [https://api.hi.umnai.com/settings](https://api.hi.umnai.com/settings)

```curl
curl https://api.hi.umnai.com/settings \
     -H "Authorization: Bearer <token>"
```

```python
import requests

url = "https://api.hi.umnai.com/settings"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.hi.umnai.com/settings';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hi.umnai.com/settings"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.hi.umnai.com/settings")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.hi.umnai.com/settings")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.hi.umnai.com/settings', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.hi.umnai.com/settings");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hi.umnai.com/settings")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Response (200)

```json
{
  "data": [
    {
      "id": "ea8b745ead39ec442fc3b4fba359bf98",
      "name": "Sample Organisation",
      "status": "ACTIVE",
      "created_at": "2026-03-11T16:04:19.749000Z",
      "updated_at": null
    }
  ],
  "pagination": {
    "total_items": 1,
    "items_per_page": 10,
    "current_page": 1,
    "total_pages": 1
  }
}
```

## Update settings

Add or update specific settings without replacing the full settings object.

### Request

PATCH [https://api.hi.umnai.com/settings](https://api.hi.umnai.com/settings)

```curl
curl -X PATCH https://api.hi.umnai.com/settings \
     -H "Authorization: Bearer <token>" \
     -H "Content-Type: application/json" \
     -d '{
  "notifications": {
    "email": "disabled"
  },
  "dashboard": {
    "refresh_interval_seconds": "120"
  }
}'
```

```python
import requests

url = "https://api.hi.umnai.com/settings"

payload = {
    "notifications": { "email": "disabled" },
    "dashboard": { "refresh_interval_seconds": "120" }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.hi.umnai.com/settings';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"notifications":{"email":"disabled"},"dashboard":{"refresh_interval_seconds":"120"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hi.umnai.com/settings"

	payload := strings.NewReader("{\n  \"notifications\": {\n    \"email\": \"disabled\"\n  },\n  \"dashboard\": {\n    \"refresh_interval_seconds\": \"120\"\n  }\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.hi.umnai.com/settings")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"notifications\": {\n    \"email\": \"disabled\"\n  },\n  \"dashboard\": {\n    \"refresh_interval_seconds\": \"120\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.hi.umnai.com/settings")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"notifications\": {\n    \"email\": \"disabled\"\n  },\n  \"dashboard\": {\n    \"refresh_interval_seconds\": \"120\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.hi.umnai.com/settings', [
  'body' => '{
  "notifications": {
    "email": "disabled"
  },
  "dashboard": {
    "refresh_interval_seconds": "120"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.hi.umnai.com/settings");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"notifications\": {\n    \"email\": \"disabled\"\n  },\n  \"dashboard\": {\n    \"refresh_interval_seconds\": \"120\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "notifications": ["email": "disabled"],
  "dashboard": ["refresh_interval_seconds": "120"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hi.umnai.com/settings")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Response (200)

```json
{
  "theme": "dark",
  "notifications": {
    "email": "disabled",
    "in_app": "enabled"
  },
  "dashboard": {
    "default_workspace_id": "fab1fb91d638d6f4abc12597f87b783e",
    "refresh_interval_seconds": "120"
  }
}
```

Use this when you want to update only part of the settings object and keep the rest unchanged.

## Replace settings

Replace the full settings object for the current user.

### Request

PUT [https://api.hi.umnai.com/settings](https://api.hi.umnai.com/settings)

```curl
curl -X PUT https://api.hi.umnai.com/settings \
     -H "Authorization: Bearer <token>" \
     -H "Content-Type: application/json" \
     -d '{
  "theme": "dark",
  "notifications": {
    "email": "enabled",
    "in_app": "enabled"
  },
  "dashboard": {
    "default_workspace_id": "fab1fb91d638d6f4abc12597f87b783e",
    "refresh_interval_seconds": "300"
  }
}'
```

```python
import requests

url = "https://api.hi.umnai.com/settings"

payload = {
    "theme": "dark",
    "notifications": {
        "email": "enabled",
        "in_app": "enabled"
    },
    "dashboard": {
        "default_workspace_id": "fab1fb91d638d6f4abc12597f87b783e",
        "refresh_interval_seconds": "300"
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.hi.umnai.com/settings';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"theme":"dark","notifications":{"email":"enabled","in_app":"enabled"},"dashboard":{"default_workspace_id":"fab1fb91d638d6f4abc12597f87b783e","refresh_interval_seconds":"300"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hi.umnai.com/settings"

	payload := strings.NewReader("{\n  \"theme\": \"dark\",\n  \"notifications\": {\n    \"email\": \"enabled\",\n    \"in_app\": \"enabled\"\n  },\n  \"dashboard\": {\n    \"default_workspace_id\": \"fab1fb91d638d6f4abc12597f87b783e\",\n    \"refresh_interval_seconds\": \"300\"\n  }\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.hi.umnai.com/settings")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"theme\": \"dark\",\n  \"notifications\": {\n    \"email\": \"enabled\",\n    \"in_app\": \"enabled\"\n  },\n  \"dashboard\": {\n    \"default_workspace_id\": \"fab1fb91d638d6f4abc12597f87b783e\",\n    \"refresh_interval_seconds\": \"300\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.hi.umnai.com/settings")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"theme\": \"dark\",\n  \"notifications\": {\n    \"email\": \"enabled\",\n    \"in_app\": \"enabled\"\n  },\n  \"dashboard\": {\n    \"default_workspace_id\": \"fab1fb91d638d6f4abc12597f87b783e\",\n    \"refresh_interval_seconds\": \"300\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.hi.umnai.com/settings', [
  'body' => '{
  "theme": "dark",
  "notifications": {
    "email": "enabled",
    "in_app": "enabled"
  },
  "dashboard": {
    "default_workspace_id": "fab1fb91d638d6f4abc12597f87b783e",
    "refresh_interval_seconds": "300"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.hi.umnai.com/settings");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"theme\": \"dark\",\n  \"notifications\": {\n    \"email\": \"enabled\",\n    \"in_app\": \"enabled\"\n  },\n  \"dashboard\": {\n    \"default_workspace_id\": \"fab1fb91d638d6f4abc12597f87b783e\",\n    \"refresh_interval_seconds\": \"300\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "theme": "dark",
  "notifications": [
    "email": "enabled",
    "in_app": "enabled"
  ],
  "dashboard": [
    "default_workspace_id": "fab1fb91d638d6f4abc12597f87b783e",
    "refresh_interval_seconds": "300"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hi.umnai.com/settings")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Response (200)

```json
{
  "theme": "dark",
  "notifications": {
    "email": "enabled",
    "in_app": "enabled"
  },
  "dashboard": {
    "default_workspace_id": "fab1fb91d638d6f4abc12597f87b783e",
    "refresh_interval_seconds": "300"
  }
}
```

`PUT /settings` replaces the full settings object. Use `PATCH /settings` when you only need to update specific settings.

## Delete settings

Delete settings for the current user.

### Request

DELETE [https://api.hi.umnai.com/settings](https://api.hi.umnai.com/settings)

```curl
curl -X DELETE https://api.hi.umnai.com/settings \
     -H "Authorization: Bearer <token>"
```

```python
import requests

url = "https://api.hi.umnai.com/settings"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.hi.umnai.com/settings';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hi.umnai.com/settings"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.hi.umnai.com/settings")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.hi.umnai.com/settings")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.hi.umnai.com/settings', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.hi.umnai.com/settings");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hi.umnai.com/settings")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

Pass a `prefix` query parameter to delete settings under a specific prefix. If no prefix is provided, all user settings are deleted.

Deleting settings can remove user preferences or saved state. Use a `prefix` when you only want to delete part of the settings object.